Skip to main content
PUT
Update an existing project connection by name.

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string
required

The unique identifier of the project containing the connection to update.

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

connectionName
string
required

The name of the connection to update.

Body

application/json

The update request containing the new connection details.

authType
enum<string>
required

The kind of secret being referenced. See the combinations table in the operation description for valid values per connection type.

Available options:
GENERIC_SECRET,
CLOUD_PROVIDER_SECRET,
OAUTH_USER_TOKENS,
OAUTH_AUTHORIZATION_CODE,
OAUTH_CLIENT_CRED,
COMPOSITE_TOKEN,
OAUTH_1_0_X_ADS
Example:

"GENERIC_SECRET"

platformConnectionType
enum<string>
required

The different types of connection that can be created:

  • COMPONENT_BASIC — connect a component to a data source, API, or SaaS application using a secret stored in your secrets manager.
  • CLOUD_PLATFORM_CREDENTIALS — give a project access to a cloud provider (AWS, Azure, GCP) using cloud credentials stored in your secrets manager.
Available options:
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"COMPONENT_BASIC"

connectionDetails
object

Provides the definition of the values of the connection which will vary by connection type. Includes:

  • Location of any sensitive values (secret location and name)
  • Any non-sensitive values (url, username)

Response

Successfully updated the project connection

authProvider
string

The authentication provider

Example:

"salesforce"

authType
enum<string>

The authentication type

Available options:
GENERIC_SECRET,
CLOUD_PROVIDER_SECRET,
OAUTH_USER_TOKENS,
OAUTH_AUTHORIZATION_CODE,
OAUTH_CLIENT_CRED,
COMPOSITE_TOKEN,
OAUTH_1_0_X_ADS
Example:

"GENERIC_SECRET"

connectionDetails
object

Provides the definition of the values of the connection which will vary by connection type. Includes:

  • Location of any sensitive values (secret location and name)
  • Any non-sensitive values (url, username)
createdBy
string

The user who created the connection

createdDate
string<date-time>

The date and time when the connection was created

name
string

The name of the connection

Example:

"my-secret"

platformConnectionType
enum<string>

The different types of connection that can be created:

  • COMPONENT_BASIC — connect a component to a data source, API, or SaaS application using a secret stored in your secrets manager.
  • CLOUD_PLATFORM_CREDENTIALS — give a project access to a cloud provider (AWS, Azure, GCP) using cloud credentials stored in your secrets manager.
Available options:
COMPONENT_BASIC,
CLOUD_PLATFORM_CREDENTIALS
Example:

"COMPONENT_BASIC"

projectId
string<uuid>

The project ID this connection belongs to